%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%This is a example for the prediction of flux distribution by enzyme    %
%%Control Flux                                                           % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
load emc.mat
load emm_flux_enzyme.mat
[nreaction,numberem]=size(ems);

pp=ems'~=0.0;
ppp=ones(numberem,nreaction);
for i=1:numberem
    ppp(i,:)=pp(i,:).*enzprofile';
end

rr=ones(numberem,1); %initial setting
for i=1:numberem
    for j=1:nreaction
        if pp(i,j)~=0.0
    rr(i,1)=ppp(i,j)*rr(i,1);
        end
    end
end
k=EMC.*rr;
flux=ems*k;
predflux=flux./flux(numuptake,1)*100

save predictedflux.mat predflux